<?php declare(strict_types=1);

namespace App\ServiceResults\Api\V1\CaptchaService;

use App\Captcha\Dto\Image;
use App\ServiceResults\ServiceResult;

final class Captcha extends ServiceResult
{
    public function __construct(
        private readonly Image $imageHead,
        private readonly Image $imageBody,
        private readonly string $key
    ) { }

    public function getImageHead(): Image
    {
        return $this->imageHead;
    }

    public function getImageBody(): Image
    {
        return $this->imageBody;
    }

    public function getKey(): string
    {
        return $this->key;
    }
}
